TopicMapping
Keywords: org.gcube.informationsystem.notifier.util.TopicMapping class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.util
Class TopicMapping<PRODUCER extends EPR,CONSUMER extends EPR,RE extends RegistrationEventHandler<PRODUCER,CONSUMER>>

    java.lang.Object
      org.gcube.informationsystem.notifier.util.TopicMapping<PRODUCER,CONSUMER,RE>

All Implemented Interfaces:
  java.io.Serializable

    public class TopicMapping<PRODUCER extends EPR,CONSUMER extends EPR,RE extends RegistrationEventHandler<PRODUCER,CONSUMER>>

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TopicMapping(javax.xml.namespace.QName topic)`

Method Summary
`void` | `addConsumer(CONSUMER consumer)`
`void` | `addProducer(PRODUCER producer)`
`boolean` | `equals(java.lang.Object o)`
`java.util.List<CONSUMER>` | `getConsumerList()`
`java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getConsumers()`
`java.util.List<PRODUCER>` | `getProducerList()`
`java.util.List<org.apache.axis.message.addressing.EndpointReferenceType>` | `getProducers()`
`RE` | `getRegistrationEventHandler()`
`javax.xml.namespace.QName` | `getTopic()`
`void` | `removeConsumer(CONSUMER consumer)`
`void` | `removeProducer(PRODUCER producer)`
`void` | `setConsumerList(java.util.List<CONSUMER> consumerList)`
`void` | `setProducerList(java.util.List<PRODUCER> producerList)`
`void` | `setRegistrationEventHandler(RE registrationEventHandler)`
`void` | `setTopic(javax.xml.namespace.QName topic)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicMapping

    public TopicMapping(javax.xml.namespace.QName topic)

Method Detail

### setTopic

    public void setTopic(javax.xml.namespace.QName topic)

### getTopic

    public javax.xml.namespace.QName getTopic()

### setProducerList

    public void setProducerList(java.util.List<PRODUCER> producerList)

### getProducerList

    public java.util.List<PRODUCER> getProducerList()

### getConsumerList

    public java.util.List<CONSUMER> getConsumerList()

### setConsumerList

    public void setConsumerList(java.util.List<CONSUMER> consumerList)

### setRegistrationEventHandler

    public void setRegistrationEventHandler(RE registrationEventHandler)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getRegistrationEventHandler

    public RE getRegistrationEventHandler()

### addConsumer

    public void addConsumer(CONSUMER consumer)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeConsumer

    public void removeConsumer(CONSUMER consumer)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeProducer

    public void removeProducer(PRODUCER producer)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addProducer

    public void addProducer(PRODUCER producer)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProducers

    public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getProducers()

### getConsumers

    public java.util.List<org.apache.axis.message.addressing.EndpointReferenceType> getConsumers()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD